Subject: Re: [Rmt] AD comments on draft-ietf-rmt-bb-fec-basic-schemes-revised-04

From: Mark Watson <[email-masked]>
Date: Sat, 12 Jul 2008 14:14:11 -0700

I propose to address item 3 by changing the SHOULDs to MUSTs. The other
comments all seem fine to me and I will submit an update shortly.

...Mark

On 4/18/08 2:52 AM, "Magnus Westerlund" <[email-masked]>
wrote:

> Hi,
> 
> I have made my AD review of the document and have the following comments.
> 
> 1. Obsolete information in header, abstract and introduction. If I
> understand this correctly this document will replace RFC 3695 and parts
> of RFC 3452 that wasn't included in the already obsoleted one.
> 
> 2. There is a missing "." in the last sentence of section 1.
> 
> 3. Section 3.2.2.2:
> 
> "   The "Reserved" field in the Encoded FEC Object Transmission
>     Information SHOULD be set to zero by senders and its value SHOULD be
>     ignored by receivers."
> 
> Using the definition of SHOULD here makes it pretty difficult to use
> this field in the future. I normally recommends that at least setting it
> needs to be MUST and usually also the ignore on receiver. So that if one
> deploys a new spec that uses these bits would not throw up on them. As I
> am uncertain how widely deployed this definition already is I only ask
> the WG to consider if this should be changed or not.
> 
> 4. Section 5.3:
> 
> I think there needs to be an additional sentence her to specify that if
> a instance is not using the algorithm it needs to specify what it uses.
> 
> 5. Section 9. I think we need to move the registry rules forward from
> the going to be obsoleted RFCs 3695 and 3452. Thus please include the
> registry rules in this section and request that IANA changes the
> pointers for the rules to this doc.
> 
> Cheers
> 
> Magnus Westerlund
> 
> IETF Transport Area Director & TSVWG Chair
> ----------------------------------------------------------------------
> Multimedia Technologies, Ericsson Research EAB/TVM
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Färögatan 6                | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------
> 

_______________________________________________
Rmt mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rmt

---

From: Brian Adamson <[email-masked]>
Date: Sat, 12 Jul 2008 18:21:03 -0400

Thanks Mark!

Brian Adamson
[email-masked]

On Jul 12, 2008, at 5:14 PM, Mark Watson wrote:

> On 4/18/08 2:52 AM, "Magnus Westerlund" <[email-masked] 
> >
> wrote:
>
>> Hi,
>>